<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BOM extends Model
{
    protected $table = 'bill_of_materials';

    public function fg_store(){
        return $this->belongsTo(Store::class,'fg_store_id')->withTrashed();
    }
    public function rm_store(){
        return $this->belongsTo(Store::class,'rm_store_id')->withTrashed();
    }
    public function scrap_store(){
        return $this->belongsTo(Store::class,'scrap_store_id')->withTrashed();
    }
}
